*,
*::before,
*::after {
  box-sizing: border-box;
}

:root {
  --iris: #4d5ae5;
  --ocean: #404bbf;
  --navy-blue: #2e2f42;
  --green: #31d0aa;
  --slate: #434455;
  --light-slate: #8e8f99;
  --cornflower: #e7e9fc;
  --cloud: #f4f4fd;
  --navy-blue-modal: rgba(46, 47, 66, 0.4);
  --grey: rgba(46, 47, 66, 0.7);
  --white: #fff;
  --dairy: #fcfcfc;

  --font-family: 'Roboto', sans-serif;
  --second-family: 'Raleway', sans-serif;
}

body {
  font-family: var(--font-family);
  color: var(--slate);
  background: var(--white);
}

ul {
  margin: 0;
  padding-left: 0;
  list-style-type: none;
}

a {
  text-decoration: none;
}

address {
  font-style: normal;
}

button {
  cursor: pointer;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin: 0;
}

img {
  display: block;
  height: auto;
  max-width: 100%;
}

.container {
  max-width: 1158px;
  width: 100%;
  padding-inline: 15px;
  margin: 0 auto;
}

.section {
  padding-block: 120px;
}

.logo {
  font-family: var(--second-family);
  font-weight: 700;
  font-size: 18px;
  line-height: 1.17;
  letter-spacing: 0.03em;
  text-transform: uppercase;
  color: var(--navy-blue);
}

.accent {
  color: var(--iris);
}

/* .section-title {
  font-weight: 700;
  font-size: 36px;
  line-height: 1.11;
  letter-spacing: 0.02em;
}

.item-title {
  font-weight: 500;
  font-size: 20px;
  line-height: 1.2;
  letter-spacing: 0.02em;
}

.text {
  font-weight: 400;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
} */

.header {
  box-shadow:
    0 1px 6px 0 rgba(46, 47, 66, 0.08),
    0 1px 1px 0 rgba(46, 47, 66, 0.16),
    0 2px 1px 0 rgba(46, 47, 66, 0.08);
  background: var(--white);
  border-bottom: 1px solid var(--cornflower);
}

.header-container {
  display: flex;
  /* flex-direction: row; */
  /* justify-content: space-between; */
  align-items: center;
}

.header-nav {
  display: flex;
  align-items: center;
  /* justify-content: space-between; */
  gap: 76px;
}

.header-logo {
  padding: 24px 0;
}

/* .header-logo:hover,
.header-logo:focus {
} */

.header-nav-list {
  display: flex;
  gap: 40px;
}

/* .header-nav-item {
} */

.header-nav-link {
  display: block;
  position: relative;
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: var(--navy-blue);
  padding: 24px 0;
  text-decoration: none;
  transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.header-nav-link:hover,
.header-nav-link:focus,
.header-nav-link.current {
  color: var(--ocean);
}

.header-nav-link.current::after {
  content: '';
  position: absolute;
  background: var(--ocean);
  height: 4px;
  border-radius: 2px;
  width: 100%;
  left: 0;
  bottom: -1px;
}

.contacts {
  margin-left: auto;
}

.contacts-list {
  display: flex;
  /* flex-direction: row; */
  gap: 40px;
}

.contacts-item {
  display: block;
}

.contacts-link {
  font-weight: 400;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: var(--slate);
  padding-block: 24px;
  transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.contacts-link:hover,
.contacts-link:focus {
  color: var(--ocean);
}

.hero-section {
  display: block;
  background-color: var(--navy-blue);
  padding-block: 188px;
  background-image:
    linear-gradient(to bottom, rgba(46, 47, 66, 0.7), rgba(46, 47, 66, 0.7)),
    url('../images/people-office.jpg');
  max-width: 1440px;
  margin: 0 auto;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.hero-title {
  display: block;
  margin: 0 auto;
  font-weight: 700;
  font-size: 56px;
  line-height: 1.07;
  letter-spacing: 0.02em;
  text-align: center;
  color: var(--white);
  max-width: 496px;
  margin-bottom: 48px;
}

.hero-button {
  display: block;
  margin: 0 auto;
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.04em;
  text-align: center;
  color: var(--white);
  box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.15);
  background-color: var(--iris);
  padding: 16px 32px;
  border-radius: 4px;
  border: none;
  min-width: 169px;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.hero-button:hover,
.hero-button:focus {
  background-color: var(--ocean);
}

/* .features-section {
} */

/* .features-container {
}

.features-title {
} */

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

.features-list {
  display: flex;
  flex-direction: row;
  gap: 24px;
}

.features-item {
  flex-basis: calc((100% - (3 * 24px)) / 4);
}

.features-icon-box {
  display: flex;
  height: 112px;
  justify-content: center;
  align-items: center;
  border: 1px solid var(--light-slate);
  border-radius: 4px;
  background: var(--cloud);
  margin-bottom: 8px;
}

/* .features-item-icon {
} */

.features-item-title {
  font-weight: 500;
  font-size: 20px;
  line-height: 1.2;
  letter-spacing: 0.02em;
  color: var(--navy-blue);
  margin-bottom: 8px;
}

.features-text {
  font-weight: 400;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
}

.team-section {
  background: var(--cloud);
}

.team-item-container {
  padding: 32px 16px;
}

.team-title {
  font-weight: 700;
  font-size: 36px;
  line-height: 1.11;
  letter-spacing: 0.02em;
  text-align: center;
  color: var(--navy-blue);
  margin-bottom: 72px;
}

.team-list {
  display: flex;
  /* justify-content: space-between; */
  flex-direction: row;
  align-items: center;
  gap: 24px;
  width: 100%;
}

.team-item {
  background: var(--white);
  flex-basis: calc((100% - (3 * 24px)) / 4);
  border-radius: 0 0 4px 4px;
  box-shadow:
    0 2px 1px 0 rgba(46, 47, 66, 0.08),
    0 1px 1px 0 rgba(46, 47, 66, 0.16),
    0 1px 6px 0 rgba(46, 47, 66, 0.08);
  background: var(--white);
}

/* .team-img {
} */

.team-item-title {
  font-weight: 500;
  font-size: 20px;
  line-height: 1.2;
  letter-spacing: 0.02em;
  text-align: center;
  color: var(--navy-blue);
  margin-bottom: 8px;
}

.team-text {
  font-weight: 400;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  text-align: center;
  margin-bottom: 8px;
}

.team-social {
  display: flex;
  align-items: center;
  gap: 24px;
}

/* .team-social-item {
} */

.team-social-link {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background-color: var(--iris);
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.team-social-link:hover,
.team-social-link:focus {
  background-color: var(--ocean);
}

.team-social-icon {
  fill: var(--cloud);
}

.portfolio-section {
  background: var(--white);
}

.portfolio-title {
  font-weight: 700;
  font-size: 36px;
  line-height: 1.11;
  letter-spacing: 0.02em;
  text-align: center;
  color: var(--navy-blue);
  margin-bottom: 72px;
}

.portfolio-list {
  display: flex;
  flex-wrap: wrap;
  gap: 48px 24px;
}

.portfolio-item {
  background: var(--white);
  flex-basis: calc((100% - (2 * 24px)) / 3);
  cursor: pointer;
  transition: box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.portfolio-item:hover {
  box-shadow:
    0 2px 1px 0 rgba(46, 47, 66, 0.08),
    0 1px 1px 0 rgba(46, 47, 66, 0.16),
    0 1px 6px 0 rgba(46, 47, 66, 0.08);
}

.portfolio-thumb {
  position: relative;
  overflow: hidden;
}

/* .portfolio-img {
  display: block;
  width: 100%;
} */

.portfolio-overlay {
  position: absolute;
  padding: 40px 32px;
  background: var(--iris);
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transform: translateY(100%);
  transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.portfolio-overlay-text {
  font-weight: 400;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: var(--cloud);
}

.portfolio-item:hover .portfolio-overlay {
  transform: translateY(0);
}

.portfolio-item-container {
  padding: 32px 16px;
  border-bottom: 1px solid var(--cornflower);
  border-left: 1px solid var(--cornflower);
  border-right: 1px solid var(--cornflower);
}

.portfolio-item-title {
  font-weight: 500;
  font-size: 20px;
  line-height: 1.2;
  letter-spacing: 0.02em;
  text-align: left;
  color: var(--navy-blue);
  margin-bottom: 8px;
}

.portfolio-text {
  font-weight: 400;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  text-align: left;
}

.footer {
  background: var(--navy-blue);
  padding-block: 100px;
}

.footer-container {
  display: flex;
  align-items: baseline;
  gap: 120px;
}

.footer-logo {
  display: flex;
  text-align: left;
  color: var(--cloud);
  margin-bottom: 16px;
}

.footer-text {
  font-weight: 400;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  text-align: left;
  color: var(--cloud);
  max-width: 264px;
}

/* .footer-social {
} */

.footer-social-text {
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: var(--white);
  margin-bottom: 16px;
}

.footer-social-list {
  display: flex;
  gap: 16px;
}

.footer-social-item {
  display: flex;
}

.footer-social-link {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background-color: var(--iris);
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  fill: var(--cloud);
}

.footer-social-link:hover,
.footer-social-link:focus {
  background-color: var(--green);
}

/* .footer-social-icon {
} */
